[android-components](../../index.md) / [mozilla.components.support.base.android](../index.md) / [Padding](./index.md)

# Padding

`data class Padding` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/base/src/main/java/mozilla/components/support/base/android/Padding.kt#L15)

A representation of an Android Padding.

### Parameters

`left` - Padding start in PX.

`top` - Padding top in PX.

`right` - Padding end in PX.

`bottom` - Padding end in PX.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Padding(left: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, top: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, right: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, bottom: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`)`<br>A representation of an Android Padding. |

### Properties

| Name | Summary |
|---|---|
| [bottom](bottom.md) | `val bottom: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Padding end in PX. |
| [left](left.md) | `val left: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Padding start in PX. |
| [right](right.md) | `val right: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Padding end in PX. |
| [top](top.md) | `val top: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Padding top in PX. |
